Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066893 - E-Mail adresses are not correctly inserted
Summary: E-Mail adresses are not correctly inserted
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 10:11 UTC by Johannes
Modified: 2015-06-29 15:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:18:39 UTC


Attachments (Terms of Use)

Description Johannes 2014-02-19 10:11:05 UTC
Description of problem:Email adresses are not correctly inserted


Version-Release number of selected component (if applicable):
3.10.4

How reproducible:
Always

Steps to Reproduce:
1.Create a new mail
2.Insert address from Exchange Directory server
3.Send

Actual results:
Exchange server report invalid recipient address

Expected results:
Emails is send

Additional info:
Diagnoseinformationen für Administratoren:

Generierender Server: rh-msx-s01.sbw.global

Rea Silja Tschappu (ReaSilja.Tschappu@sbw-media.ch
#550 5.1.3 STOREDRV.Submit; invalid recipient address #SMTP#

Ursprüngliche Nachrichtenkopfzeilen:

Received: from rh-msx-s01.sbw.global ([172.16.26.102]) by rh-msx-s01
 ([172.16.26.102]) with mapi; Wed, 19 Feb 2014 07:34:18 +0100
MIME-Version: 1.0
Content-Type: text/plain
Date: Wed, 19 Feb 2014 07:34:18 +0100
Message-ID: <050D93A37CF6024D87C37EB096496D6578978DEE3A@rh-msx-s01>

Comment 1 Milan Crha 2014-02-20 07:58:27 UTC
Thanks for a bug report. I have couple questions:
a) how do you access the Exchange Directory server? You can do it by multiple
   ways, like using some Exchange connectors (evolution-ews, evolution-mapi)
   or connect to it directly with LDAP.
b) do I see correctly, that you send to that address using an SMTP server,
   not any exchange connector?
c) did you replaced actual email address in the log above with #SMTP#, or it
   is the exact value which the log contains? I agree with the replacement,
   if nothing else then for privacy reasons, I only want to be sure whether
   it was actually replaced by you or not
d) when you autocomplete the address in a composer window, could you
   right-click on it and see what email address is shown in the context menu?
   It'll work only if the autocompeted address is "underlined".

I suspect that the #SMTP# is the value returned by the Exchange Directory server.

Comment 2 Johannes 2014-02-23 09:57:30 UTC
Thanks for your questions Milan
a) the only way that works with our msx is via ecolution-mapi
b) I suppose I send by mapi as well. There are no smtp settings in 
c) I copied and pasted it verbatim
d) currently I cannot test that as evolution-mapi doesn't work outside office LAN. Outlook does, however, I could take a look there

Comment 3 Milan Crha 2014-02-24 07:53:25 UTC
Thanks for the update. I see, you sent an email with evolution-mapi account, and then you received a delivery failure notification from the server, with the explanation paster in comment #0.

From that I believe your contact being used doesn't have filled an SMTP address properly for some reason.

Could you run evolution from a terminal like this:
   $ MAPI_DEBUG=1 evolution &>log.txt
and then, when initial update is over, try to send a test email which may eventually fail, please? You can verify during that whether the used contact did contain actual email address (ball d) of comment #1). The log.txt file will also contain (among other information) actual values being used when sending the message. When you search there for "smtp", quotes for clarity only, search case insensitively, then you may also see there the address. Or you can search the log for the expected email address. That may show whether evolution-mapi uses correct data.

The reason for Outlook working from outside of the office LAN and evolution-mapi not might be that Outlook is configured with RPC-over-HTTP, aka Outlook Anywhere, which samba doesn't yet support.

Comment 4 Fedora Admin XMLRPC Client 2014-09-04 14:30:18 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2015-05-29 10:58:36 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 15:18:39 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.